Skip to main content
GET
/
api
/
blocks
Get blocks
curl --request GET \
  --url https://nexus-dev.gerowallet.io/api/blocks \
  --header 'Authorization: Bearer <token>'
{
  "hash": "<string>",
  "time": 123,
  "number": 123,
  "slot": 123,
  "epoch": 123,
  "era": 123,
  "output": 123,
  "fees": 123,
  "slotLeader": "<string>",
  "size": 123,
  "txCount": 123,
  "issuerKey": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Token Authentication

Query Parameters

network
enum<string>
Available options:
MAINNET,
PREPROD
page
integer<int32>
default:1

Page number (1-based)

Required range: 1 <= x <= 1000
pageSize
integer<int32>
default:100

Number of items per page

Required range: 1 <= x <= 100

Response

Blocks retrieved successfully

hash
string
time
integer<int64>
number
integer<int64>
slot
integer<int64>
epoch
integer<int64>
era
integer<int64>
output
integer<int64>
fees
integer<int64>
slotLeader
string
size
integer<int64>
txCount
integer<int64>
issuerKey
string